Package edu.msu.cme.rdp.classifier.comparison

# Class ComparisonResultTreeSet.ComparisonResultComparator

java.lang.Object
edu.msu.cme.rdp.classifier.comparison.ComparisonResultTreeSet.ComparisonResultComparator

All Implemented Interfaces:
  `Comparator`

Enclosing class:
  ComparisonResultTreeSet

public static class ComparisonResultTreeSet.ComparisonResultComparator extends Object implements Comparator

## Constructor Summary

Constructors
Constructor
Description
`ComparisonResultComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object x, Object y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### ComparisonResultComparator

public ComparisonResultComparator()

## Method Details

### compare

public int compare(Object x, Object y)

Specified by:
  `compare` in interface `Comparator`